Skip to main content
POST
/
cloud
/
v1
/
file_shares
/
{project_id}
/
{region_id}
/
check_limits
Check file share quota
curl --request POST \
  --url https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/check_limits \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{
  "size": 5
}'
import requests

url = "https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/check_limits"

payload = { "size": 5 }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({size: 5})
};

fetch('https://api.gcore.com/cloud/v1/file_shares/{project_id}/{region_id}/check_limits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "sfs_count_limit": 10,
  "sfs_count_requested": 1,
  "sfs_count_usage": 1,
  "sfs_size_limit": 100,
  "sfs_size_requested": 50,
  "sfs_size_usage": 90
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

Body

application/json
size
integer
required

File Share size in GiB

Required range: x >= 1
Example:

5

Response

200 - application/json

OK

sfs_count_limit
integer

Shared file system Count limit

Example:

10

sfs_count_requested
integer

Shared file system Count requested

Example:

1

sfs_count_usage
integer

Shared file system Count usage

Example:

1

sfs_size_limit
integer

Shared file system Size, GiB limit

Example:

100

sfs_size_requested
integer

Shared file system Size, GiB requested

Example:

50

sfs_size_usage
integer

Shared file system Size, GiB usage

Example:

90